Summary: GUI tool for configuring DC by Samba + OpenLDAP
Name: smbdcsetup
Version: 0.3
Release: 3AX
URL: http://www.miraclelinux.com
License: GPL
ExclusiveOS: Linux
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Source0: %{name}-%{version}.tar.bz2
BuildRequires: python-tools
Requires: pygtk2 >= 1.99.11, pygtk2-libglade, python2
Requires: samba-common, smbldap-tools, openldap-servers
Requires: sed, perl, expect, krb5-workstation, krb5-libs

%description
Sambasetup is a GUI frontend for setting up DC automatically
by the combination of Samba and OpenLDAP.

%prep
%setup -q

%build
make

%install
make INSTROOT=$RPM_BUILD_ROOT install
archlib=`echo %{_libdir} | cut -d/ -f3`
for srcfile in `ls $RPM_BUILD_DIR/%{name}-%{version}/templates/smb.conf.*`; do
    destfile=$RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/templates/`basename $srcfile`
    sed "s/_LIBDIR_/$archlib/" $srcfile > $destfile
done

%clean
rm -fr $RPM_BUILD_ROOT

%preun
if [ -d /usr/share/%{name} ] ; then
    rm -rf /usr/share/%{name}/*.pyc
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README README.ja
%{_prefix}/sbin/%{name}
%{_datadir}/%{name}
%{_datadir}/locale/*/LC_MESSAGES/smbdcsetup.mo
%{_sysconfdir}/%{name}/*

%changelog
* Mon May  8 2006 Shiro Yamada <shiro@miraclelinux.com> 0.3-3AX
- fix slave slapd.conf template

* Fri Mar 24 2006 Shiro Yamada <shiro@miraclelinux.com> 0.3-2AX
- check DNS more previsely
- unset obsolete initial variable

* Tue Feb 14 2006 Shiro Yamada <shiro@miraclelinux.com> 0.3-1AX
- delete rootpw entry when its no longer necessary
- strictly check DNS name
- add few default parameters in smb.conf
- add migrate option
- add ads member option
- add standalone server option

* Fri Nov 11 2005 Shiro Yamada <shiro@miraclelinux.com> 0.2-7AX
- update templates for ia64

* Thu Jun  2 2005 Shiro Yamada <shiro@miraclelinux.com> 0.2-6AX
- update ko.po

* Tue May 24 2005 Shiro Yamada <shiro@miraclelinux.com> 0.2-5AX
- fix some lousy english messages
- change messages in log window when necessary

* Wed May 11 2005 Park Jong O <jopark@haansoft.com> 0.2-4AX
- modify ko.po

* Tue Apr 12 2005 Shiro Yamada <shiro@miraclelinux.com> 0.2-3AX
- add license and readme docs

* Wed Apr  6 2005 Shiro Yamada <shiro@miraclelinux.com> 0.2-2AX
- implement restore config files functionality
- update GUI messages
- change template and backup dirs

* Wed Mar 30 2005 Shiro Yamada <shiro@miraclelinux.com> 0.2-1AX
- rename from dcsetup to smbdcsetup
- add lang file

* Fri Jan 18 2005 Shiro Yamada <shiro@miraclelinux.com> 0.1-1AX
- initial packaging

